Bug 151994 - ntp lost synchronisation - kernel tickadj
ntp lost synchronisation - kernel tickadj
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ntp (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-23 21:51 EST by RichardR
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 07:27:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RichardR 2005-03-23 21:51:38 EST
Description of problem:
I run on SUN/AMD64 v20z machine under RHEL/WS3-kernel 2.4.21.xx an ntp service
(ntp-4.1.2-4.EL3.1). Since these days I met a classic "ntp lost synchronisation"
, but not so classic as I thought too in the beginning.
Here is first my ntp.log file:
...
21 Mar 14:52:42 ntpd[2426]: time reset -0.450758 s
21 Mar 14:52:42 ntpd[2426]: synchronisation lost
21 Mar 15:14:11 ntpd[2426]: time reset 0.706603 s
21 Mar 15:14:11 ntpd[2426]: synchronisation lost
21 Mar 15:47:39 ntpd[2426]: time reset -0.716442 s
21 Mar 15:47:39 ntpd[2426]: synchronisation lost
21 Mar 16:08:07 ntpd[2426]: time reset 0.534158 s
21 Mar 16:08:07 ntpd[2426]: synchronisation lost
21 Mar 16:39:19 ntpd[2426]: time reset -0.316471 s
21 Mar 16:39:19 ntpd[2426]: synchronisation lost
22 Mar 00:41:55 ntpd[2426]: time reset -0.266574 s
22 Mar 00:41:55 ntpd[2426]: synchronisation lost
22 Mar 02:40:35 ntpd[2426]: time reset 0.259866 s
22 Mar 02:40:35 ntpd[2426]: synchronisation lost
22 Mar 13:57:43 ntpd[2412]: signal_no_reset: signal 17 had flags 4000000
22 Mar 13:57:43 ntpd[2406]: running as uid(38)/gid(38) euid(38)/egid(38).
22 Mar 14:01:02 ntpd[2406]: kernel time discipline status change 41
22 Mar 14:02:07 ntpd[2406]: kernel time discipline status change 1
23 Mar 13:39:19 ntpd[2406]: time reset -0.202650 s
23 Mar 13:39:19 ntpd[2406]: synchronisation lost
23 Mar 13:59:46 ntpd[2406]: time reset 0.276104 s
23 Mar 13:59:46 ntpd[2406]: synchronisation lost
23 Mar 14:40:25 ntpd[2406]: time reset -0.140437 s
23 Mar 14:40:25 ntpd[2406]: synchronisation lost
23 Mar 15:59:50 ntpd[2406]: time reset -0.148625 s
23 Mar 15:59:50 ntpd[2406]: synchronisation lost
23 Mar 18:31:57 ntpd[2406]: time reset 0.161298 s
23 Mar 18:31:57 ntpd[2406]: synchronisation lost
23 Mar 18:58:51 ntpd[2406]: time reset -0.133985 s
23 Mar 18:58:51 ntpd[2406]: synchronisation lost
...
The ntpq -pn just looks normal to me...
[root@katy root]# ntpq -pn
     remote           refid      st t when poll reach   delay   offset  jitter
==============================================================================
 127.127.1.0     127.127.1.0     12 l   63   64  377    0.000    0.000   7.812
 192.168.2.101   0.0.0.0         16 u  129 1024    0    0.000    0.000 4000.00
 192.168.12.100  .GPS.            1 u  92m 1024  240    7.812  -47.627   7.812
 192.168.42.100  .GPS.            1 u  96m 1024  140    7.812  -48.103   7.812
*200.10.140.2    128.4.1.1        2 u  171 1024  377   99.855  -58.494  11.720
----
/etc/ntp.conf:
server ntpcdas      #
server ntpll        #these 3 machines are our local ntp time server
server ntpco        #
server tick.nap.com.ar
server  127.127.1.0
fudge   127.127.1.0 stratum 12
driftfile /etc/ntp/drift
logfile /var/log/ntp.log
multicastclient
broadcastdelay  0.008
authenticate no
----
/etc/ntp/step-tickers:
ntpcdas
ntpll
ntpco
tick.nap.com.ar
----
I have changed my ntp clients configurations to a mulitcast mode. And
yet my servers still lost synchronisation and drift files with a tickadj=10000
always differ. I was told to change the tickadj to 9997 to slow down the kernel
tick. This problem has already been noticied by the ntp forums.

Version-Release number of selected component (if applicable):
ntp-4.1.2-4.EL3.1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
ntp lost synchronisation every hour!

Expected results:

Additional info:
Comment 1 Miroslav Lichvar 2006-08-09 04:50:28 EDT
Is this still an issue? The ntpq output indicates a network problem. Delay to
the system peer is high and reachability of the local servers isn't good.

Note You need to log in before you can comment on or make changes to this bug.